## kateparse kateparse — parses kate streams |

## Types and Values

struct | GstKateParse

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GstObject
                ╰── GstElement
                    ╰── GstKateParse
                        ╰── GstKateTag

## Description

The kateparse element will parse the header packets of the Kate stream and put them as the streamheader in the caps. This is used in the multifdsink case where you want to stream live kate streams to multiple clients, each client has to receive the streamheaders first before they can consume the kate packets.

This element also makes sure that the buffers that it pushes out are properly timestamped and that their offset and offset_end are set. The buffers that kateparse outputs have all of the metadata that oggmux expects to receive, which allows you to (for example) remux an ogg/kate file.

#### Example pipelines

    1
    gst-launch-1.0 -v filesrc location=kate.ogg ! oggdemux ! kateparse ! fakesink

This pipeline shows that the streamheader is set in the caps, and that each buffer has the timestamp, duration, offset, and offset_end set.

    1
    2
    gst-launch-1.0 filesrc location=kate.ogg ! oggdemux ! kateparse \
               ! oggmux ! filesink location=kate-remuxed.ogg

This pipeline shows remuxing. kate-remuxed.ogg might not be exactly the same as kate.ogg, but they should produce exactly the same decoded data.

## Synopsis

### Element Information

plugin | kate
author | Vincent Penquerc'h <ogg.k.ogg.k at googlemail dot com>
class | Codec/Parser/Subtitle

### Element Pads

name | sink
direction | sink
presence | always
details | subtitle/x-kate
| application/x-kate

name | src
direction | source
presence | always
details | subtitle/x-kate
| application/x-kate

## Functions

## Types and Values

### struct GstKateParse

    struct GstKateParse;

Opaque data structure.

## See Also

katedec, vorbisparse, oggdemux, theoraparse